Package com.clickhouse.jdbc

## Class ClickHouseArray

- java.lang.Object
- - com.clickhouse.jdbc.ClickHouseArray

All Implemented Interfaces:
  `Array`

    public class ClickHouseArray
    extends Object
    implements Array

### Constructor Summary

Constructors
`protected` `ClickHouseArray​(ClickHouseResultSet resultSet, int columnIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `ensureValid()`
`void` `free()`
`Object` `getArray()`
`Object` `getArray​(long index, int count)`
`Object` `getArray​(long index, int count, Map<String,​Class<?>> map)`
`Object` `getArray​(Map<String,​Class<?>> map)`
`protected ClickHouseColumn` `getBaseColumn()`
`int` `getBaseType()`
`String` `getBaseTypeName()`
`ResultSet` `getResultSet()`
`ResultSet` `getResultSet​(long index, int count)`
`ResultSet` `getResultSet​(long index, int count, Map<String,​Class<?>> map)`
`ResultSet` `getResultSet​(Map<String,​Class<?>> map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseArray

    protected ClickHouseArray​(ClickHouseResultSet resultSet,
                              int columnIndex)
                       throws SQLException

Throws:
  `SQLException`

### Method Detail

#### ensureValid

    protected void ensureValid()
                        throws SQLException

Throws:
  `SQLException`

#### getBaseColumn

    protected ClickHouseColumn getBaseColumn()

#### getBaseTypeName

    public String getBaseTypeName()
                           throws SQLException

Specified by:
  `getBaseTypeName` in interface `Array`
Throws:
  `SQLException`

#### getBaseType

    public int getBaseType()
                    throws SQLException

Specified by:
  `getBaseType` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray()
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray​(Map<String,​Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray​(long index,
                           int count)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray​(long index,
                           int count,
                           Map<String,​Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet​(Map<String,​Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet​(long index,
                                  int count)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet​(long index,
                                  int count,
                                  Map<String,​Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### free

    public void free()
              throws SQLException

Specified by:
  `free` in interface `Array`
Throws:
  `SQLException`